(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
  typeof define === 'function' && define.amd ? define('is', factory) :
  (global.is = factory());
}(this, function () { 'use strict';

  var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
    return typeof obj;
  } : function (obj) {
    return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj;
  };

  function type(object) {
      var class2type = {},
          type = class2type.toString.call(object),
          typeString = 'Boolean Number String Function Array Date RegExp Object Error Symbol';

      if (object == null) {
          return object + '';
      }

      typeString.split(' ').forEach(function (type) {
          class2type['[object ' + type + ']'] = type.toLowerCase();
      });

      return (typeof object === 'undefined' ? 'undefined' : _typeof(object)) === 'object' || typeof object === 'function' ? class2type[type] || 'object' : typeof object === 'undefined' ? 'undefined' : _typeof(object);
  }

  var vueis = {};

  vueis.install = function (Vue) {
      Vue.prototype.$is = {
          array: function array(object) {
              return Array.isArray(object) || type(object) === 'array';
          }
      };
  };

  return vueis;

}));
//# sourceMappingURL=vue-is.js.map
